Ask Your Question
0

puppetdb install on centos7

asked 2017-05-10 14:41:04 -0500

emartinez gravatar image

updated 2017-05-10 15:19:09 -0500

Anyone attempt to install puppetdb on CentOS7? Via module or packages?

I've tried the pc1 collections for el7 and el6, and even puppetlabs-release-el7 - with no success. It won't install the package. I get the following error with these collections:

puppet resource package puppetdb ensure=latest

Error: Could not update: Execution of '/usr/bin/yum -d 0 -e 0 -y install puppetdb' returned 1: Error: Nothing to do Error: /Package[puppetdb]/ensure: change from purged to latest failed: Could not update: Execution of '/usr/bin/yum -d 0 -e 0 -y install puppetdb' returned 1: Error: Nothing to do package { 'puppetdb': ensure => 'purged', }

Tried to install from source...

No install.sh script was created in the tarball.

edit retag flag offensive close merge delete

Comments

What happens if you run yum info puppetdb ?

smarlow gravatar imagesmarlow ( 2017-05-10 15:33:31 -0500 )edit

# yum repolist enabled |grep Puppet
puppetlabs-pc1/x86_64 Puppet Labs PC1 Repository el 7 - x86_64 3+118
# yum info puppetdb
Error: No matching Packages to list

emartinez gravatar imageemartinez ( 2017-05-10 17:50:31 -0500 )edit

Nevermind. Found the issue. We had an exclusion for puppet in yum.conf. Thaks for the reply.

emartinez gravatar imageemartinez ( 2017-05-10 18:01:18 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2017-05-10 18:01:22 -0500

emartinez gravatar image

Nevermind. Found the issue. We had an exclusion for puppet in yum.conf. T

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-05-10 14:41:04 -0500

Seen: 216 times

Last updated: May 10